#ifndef VMNS_PROC_H
#define VMNS_PROC_H


#define VMNS_EACCES		1
#define VMNS_EINVAL		2

#ifndef min
#define min(a,b) (((a)<(b))?(a):(b))
#endif
#ifndef max
#define max(a,b) (((a)>(b))?(a):(b))
#endif

void* vmns_proc_mk_dir(char* name, void* parent);
void* vmns_proc_create_entry(char* name,void* dir,void* data);
void vmns_proc_remove_entry(const char* name, void* parent);
#endif

