#ifndef VMNS_VADP_H
#define VMNS_VADP_H

#ifdef __KERNEL__
#include <linux/netdevice.h>
#endif

#include "drv_func.h"

typedef struct _vadp_private {
	struct net_device_stats*	stats;
	PVMNS_DEVICE				pDev;
} VADP_PRIVATE, *PVADP_PRIVATE;

#define VADP_GET_PRIVATE(dev) 	((PVADP_PRIVATE)(dev->priv))

#define VADP_GET_STATS(dev)   	((VADP_GET_PRIVATE(dev))->stats)
								
#define VADP_GET_DEVICE(dev) 	((VADP_GET_PRIVATE(dev))->pDev)

PVMNS_DEVICE init_vadp_device(char*);
int unregister_vadp_device(PVMNS_DEVICE pvdev);

#endif
