#ifndef VMNS_MEM_H
#define VMNS_MEM_H
#ifndef __KERNEL__
struct sk_buff; 
#endif
struct net_device *AllocDevice( const char *name );
struct net_device *vmnsInitEtherdev( const char *name );
void *VMNS_MALLOC(int);

#ifdef VMNS_DEBUG
void VMNS_FREE2(const void*, int);
#define VMNS_FREE(ptr,size) VMNS_FREE2((ptr),(size))
#else
void VMNS_FREE1(const void*);
#define VMNS_FREE(ptr,size) VMNS_FREE1((ptr))
#endif

void VMNS_DEV_KFREE_SKB(struct sk_buff*);
struct sk_buff*  VMNS_ALLOC_SKB(struct sk_buff*);
struct sk_buff* VMNS_DEV_ALLOC_SKB(unsigned int len);
struct sk_buff* VMNS_DEV_SKB_CLONE(struct sk_buff* skb,int p);
#endif
