#ifndef VMNS_KERNEL_H
#define VMNS_KERNEL_H

#include "vmns_cfg.h"
#include "drv_func.h"

#ifndef __KERNEL__
struct net_device;
struct sk_buff;
#endif

int	vmns_dev_recv(struct sk_buff* skb);

void vmns_init_timer(struct timer_list** timer);
void vmns_del_timer(struct timer_list** timer);
void vmns_add_timer(struct timer_list* timer);
void vmns_set_timer(struct timer_list* ptimer, double secs, ULONG data,
		void (*function)(ULONG));
		
void vmns_dev_set_allmulti(struct net_device* dev,int i);

BOOL vmns_is_dev_up(PVMNS_DEVICE);
unsigned long vmns_tick(void);
/*
static inline unsigned char *vmns_skb_put(struct sk_buff *skb, unsigned int len)
{
    unsigned char *tmp=skb->tail;
    SKB_LINEAR_ASSERT(skb);
    skb->tail+=len;
    skb->len+=len;
    if(skb->tail>skb->end) {
		skb_over_panic(skb, len, current_text_addr());
    }
    return tmp;
}
*/
#endif
